{% extends 'base.html' %}
{% block title %}
    {{ product.name }}
{% endblock %}

{% block content %}
    <section class="bg-light">
        <div class="container pb-5">
            <div class="row">
                <div class="col-lg-5 col-12 mt-5">
                    <div class="card mb-3">
                        <img class="card-img img-fluid" src="{{ product.image.url }}" alt="Card image cap"
                             id="product-detail">
                    </div>
                </div>
                <div class="col-lg-7 col-12 mt-5">
                    <div class="card">
                        <div class="card-body">
                            <h1 class="h2"><strong>{{ product.name }}</strong></h1>
                            <p class="h3 py-2">{{ product.price }} lei</p>
                            {#                            <h6>Description:</h6>#}
                            <p><strong>{{ product.name }}</strong> {{ product.description }}</p>
                            <h6>Proprietati:</h6>
                            <ul class="list-unstyled pb-3">
                                <li>Lorem ipsum dolor sit</li>
                                <li>Amet, consectetur</li>
                                <li>Adipiscing elit,set</li>
                                <li>Duis aute irure</li>
                                <li>Ut enim ad minim</li>
                                <li>Dolore magna aliqua</li>
                                <li>Excepteur sint</li>
                            </ul>
                            <ul class="list-inline">
                                <li class="list-inline-item">
                                    <h6>Greutate :</h6>
                                </li>
                                {% for packaging in product.packagings.all %}
                                    <li class="list-inline-item"><span
                                            class="btn btn-success btn-size">{{ packaging }}</span></li>
                                {% endfor %}
                                <li class="list-inline-item">

                                </li>
                            </ul>


                            <form action="" method="GET">
                                <input type="hidden" name="product-title">
                                <div class="row">
                                    <div class="col-auto">
                                        <ul class="list-inline pb-3">
                                            <li class="list-inline-item text-right">
                                                Cantitate
                                                <input type="hidden" name="product-quanity" id="product-quanity"
                                                       value="1">
                                            </li>
                                            <li class="list-inline-item"><span class="btn btn-success"
                                                                               id="btn-minus">-</span></li>
                                            <li class="list-inline-item"><span class="badge bg-secondary"
                                                                               id="var-value">1</span></li>
                                            <li class="list-inline-item"><span class="btn btn-success"
                                                                               id="btn-plus">+</span></li>
                                        </ul>
                                    </div>
                                </div>
                            </form>
                            <div class="row pb-3">
                                {% if user.is_authenticated %}
                                <form method="post" action="{% url 'add_product_to_cart' %}">
                                    <div class="col d-grid">
                                        {% csrf_token %}
                                        <input type="hidden" name="product_id" value="{{ product.id }}">
                                        <button type="submit" class="btn btn-success btn-lg" name="submit">
                                            Adauga in cos
                                        </button>
                                    </div>
                                </form>
                                {% else %}
                                <div class="card-body text-center">
                                    <a class="btn btn-success" href="{% url 'login' %}">Logare</a>
                                </div>
                                <div class="card-body text-center">
                                    <a class="btn btn-success" href="{% url 'register' %}">Inregistrare</a>
                                </div>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>



{% endblock %}